package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFAO1Response {

    @Parameter(name = "BITSFlag")
    String bITSFlag();

    @Parameter(name = "FXToolFlag")
    String fXToolFlag();

    @Parameter(name = "IDSegmentu")
    Long iDSegmentu();

    @Parameter(name = "MAFlag")
    String mAFlag();

    @Parameter(name = "MAStav")
    String mAStav();

    @Parameter(name = "OMAdresa")
    String oMAdresa();

    @Parameter(name = "OMNazev")
    String oMNazev();

    @Parameter(name = "PBFlag")
    String pBFlag();

    @Parameter(name = "PrivatniBankerJmeno")
    String privatniBankerJmeno();

    @Parameter(name = "PrivatniBankerOM")
    String privatniBankerOM();

    @Parameter(name = "PrivatniBankerPrijmeni")
    String privatniBankerPrijmeni();

    @Parameter(name = "PrivatniBankerSSO")
    String privatniBankerSSO();

    @Parameter(name = "PrivatniBankerTelefon")
    String privatniBankerTelefon();

    @Parameter(name = "SegmentID")
    String segmentID();

    @Parameter(name = "VIPFlag")
    String vIPFlag();

    @Parameter(name = "ZahranicniObchodFlag")
    String zahranicniObchodFlag();

}